Mex with GCC 4.7.3 (Ubuntu 13.04)

3 views (last 30 days)
Wajahat
Wajahat on 2 May 2013
Hi I have just upgraded to Ubuntu 13.04 and afterwards I found out that it comes with GCC 4.7.3. When I try to compile mex files, I get the following error:
You are using gcc version "4.7.3". The version currently supported with MEX is "4.4.x"
Can anyone suggest any work around for this?
I am using MATLAB 2013a on 64 bit Ubuntu.
I have tried to install previous versions of GCC: apt-get install gcc-4.4 But it cannot locate it.
Best Regards Wajahat

Answers (2)

Jakob
Jakob on 27 May 2013
Edited: Jakob on 27 May 2013
Hi, Just checking if the problem has been resolved.
I am getting similar error on Ubuntu 13.04 x86_64-linux-gnu when trying to set up package SBPOP.
I have installed gcc 4.4 and gcc 4.4.7
I get no options with:
~$ sudo update-alternatives --config gcc
update-alternatives: error: no alternatives for gcc
will be listening for a solution aswell

Jason Ross
Jason Ross on 3 May 2013
You probably need to add some repositories if apt can't locate gcc-4.4. I'm sure if you run a google search or look around the Ubuntu forums there will be a howto or a question already asked about how to get an earlier version of gcc installed.

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by